For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create hourly rate

Create a new hourly rate.

Required permissions: SERVICE_ORDER

post
/tenants/{tenantUid}/hourlyrates
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
hourlyRateUidstringOptionalPattern: ^[A-Za-z0-9-_]*
namestringRequired
priceintegerRequired
Responses
201

Example response

application/json
hourlyRateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
priceintegerRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/hourlyrates
POST /v2/tenants/{tenantUid}/hourlyrates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "hourlyRateUid": "text",
  "name": "text",
  "price": 1
}
201

Example response

{
  "hourlyRateUid": "text",
  "name": "text",
  "price": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?